package com.rjconsultores.ventaboletos.dao;

import java.util.List;


import com.rjconsultores.ventaboletos.entidad.OrgaoComprovanteCustomizado;
import com.rjconsultores.ventaboletos.entidad.OrgaoConcedente;

public interface OrgaoComprovanteCustomizadoDAO extends GenericDAO< OrgaoComprovanteCustomizado, Integer> {

	public List< OrgaoComprovanteCustomizado> obtenerTodos();
	
	public List<OrgaoComprovanteCustomizado> buscarOrgaoPorOgao(OrgaoConcedente orgaoConcedente);

	public OrgaoComprovanteCustomizado buscarPorOrgao(OrgaoConcedente orgaoConcedente, String cveTipoComprovante);
	
	public OrgaoComprovanteCustomizado buscarPorOrgaoPorTipoComprovanteId(OrgaoConcedente orgaoConcedente, Integer tipoComprovanteId);

}
